# -*- coding: utf-8 -*-

import bpy
from .panels import PgToys_Property, PgToys_PT_PgToysInfos, PgToys_PT_PgToysTools
from .draw import PgToys_DrawView3D
from .draw import PgToys_DrawImageEd
from .translations import translation_dict


# Addon情報
bl_info = {
    "name": "PgToys",
    "author": "YdlProg",
    "version": (1, 3, 1),
    "blender": (4, 2, 0),
    "location": "View3D > Sidebar > MyMenu",
    "description": "Large Fonts",
    "warning": "",
    "doc_url": "https://ydlprog.ddns.net/2024/09/29/%e5%a4%a7%e3%81%8d%e3%81%84%e6%96%87%e5%ad%97%e3%81%a7%e9%a0%82%e7%82%b9%e7%95%aa%e5%8f%b7%e8%a1%a8%e7%a4%bablender-addon/",
    "category": "Object",
}


# Blenderに登録するクラス
classes = [
    PgToys_PT_PgToysInfos,
    PgToys_PT_PgToysTools,
    PgToys_Property,
]


# Addon有効化
def register():
    # クラス登録
    for c in classes:
        bpy.utils.register_class(c)
    # プロパティグループの登録
    bpy.types.Scene.PgToysProperty = bpy.props.PointerProperty(type=PgToys_Property)
    PgToys_DrawView3D.handle_add()
    PgToys_DrawImageEd.handle_add()
    # 翻訳辞書の登録
    bpy.app.translations.register(__name__, translation_dict)


# Addon無効化
def unregister():
    if hasattr(bpy.types.Scene, "PgToysProperty"):
        PgToys_DrawView3D.handle_remove()
        PgToys_DrawImageEd.handle_remove()
        # プロパティグループの削除
        del bpy.types.Scene.PgToysProperty
    # 翻訳辞書の登録解除
    bpy.app.translations.unregister(__name__)
    # クラス削除
    for c in classes:
        bpy.utils.unregister_class(c)


# メイン処理
if __name__ == "__main__":
    register()
